---
- name: Deploy autoseal token
  ansible.builtin.copy:
    src: buffer/vault/vault.env
    dest: /etc/vault.d/vault.env
    owner: vault
    group: vault
    mode: "0640"

- name: Restart server
  ansible.builtin.reboot:
    msg: "Reboot requested by Ansible"

- name: Launch backend vault
  ansible.builtin.service:
    name: vault
    state: started
